package com.foreverwin.mesnac.anomaly.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.mesnac.anomaly.model.AbnormalBill;
import com.foreverwin.mesnac.anomaly.model.AbnormalBillDispose;
import com.foreverwin.mesnac.anomaly.model.AbnormalBillLog;
import com.foreverwin.modular.core.util.FrontPage;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * <p>
 * 异常单记录表 服务类
 * </p>
 *
 * @author 赵嘉伟
 * @since 2021-07-23
 */
public interface AbnormalBillLogService extends IService<AbnormalBillLog> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<AbnormalBillLog> selectPage(FrontPage<AbnormalBillLog> frontPage, AbnormalBillLog abnormalBillLog);

    List<AbnormalBillLog> selectList(AbnormalBillLog abnormalBillLog);

    void saveAndUpdate(AbnormalBill abnormalBill,
                       AbnormalBillDispose abnormalBillDispose,
                       @RequestParam List<String> ncGroupAndNcCodes,
                       @RequestParam List<String> dutyCauseType,
                       @RequestParam List<String> dutyType);

}