package com.foreverwin.mesnac.anomaly.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.anomaly.model.UploadPictures;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Leon.L
 * @since 2021-07-11
 */
public interface UploadPicturesService extends IService<UploadPictures> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<UploadPictures> selectPage(FrontPage<UploadPictures> frontPage, UploadPictures uploadPictures);

    List<UploadPictures> selectList(UploadPictures uploadPictures);
}