package com.foreverwin.mesnac.common.dto;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 标签打印参数类
 *
 */
public class LabelPrintDto implements Serializable {

    private String site;
    private String user;
    //打印机
    private String printer;
    //打印模板名称
    private String printTemplate;

    //原材料标签参数
    //物料编码
    private String item;
    //物料描述
    private String itemDescription;
    //供应商
    private String supplier;
    //批次号
    private String batch;

    //在制品标签参数
    //工作指令
    private String workOrder;
    //图纸版本号
    private String drawingVersion;
    //产品条码
    private String sfc;
    //数量
    private BigDecimal qty;
    //下料尺寸
    private String blankingSize;
    //下道工序
    private String operation;

    public String getSite() {
        return site;
    }

    public void setSite(String site) {
        this.site = site;
    }

    public String getUser() {
        return user;
    }

    public void setUser(String user) {
        this.user = user;
    }

    public String getPrinter() {
        return printer;
    }

    public void setPrinter(String printer) {
        this.printer = printer;
    }

    public String getPrintTemplate() {
        return printTemplate;
    }

    public void setPrintTemplate(String printTemplate) {
        this.printTemplate = printTemplate;
    }

    public String getItem() {
        return item;
    }

    public void setItem(String item) {
        this.item = item;
    }

    public String getItemDescription() {
        return itemDescription;
    }

    public void setItemDescription(String itemDescription) {
        this.itemDescription = itemDescription;
    }

    public String getSupplier() {
        return supplier;
    }

    public void setSupplier(String supplier) {
        this.supplier = supplier;
    }

    public String getBatch() {
        return batch;
    }

    public void setBatch(String batch) {
        this.batch = batch;
    }

    public String getWorkOrder() {
        return workOrder;
    }

    public void setWorkOrder(String workOrder) {
        this.workOrder = workOrder;
    }

    public String getDrawingVersion() {
        return drawingVersion;
    }

    public void setDrawingVersion(String drawingVersion) {
        this.drawingVersion = drawingVersion;
    }

    public String getSfc() {
        return sfc;
    }

    public void setSfc(String sfc) {
        this.sfc = sfc;
    }

    public BigDecimal getQty() {
        return qty;
    }

    public void setQty(BigDecimal qty) {
        this.qty = qty;
    }

    public String getBlankingSize() {
        return blankingSize;
    }

    public void setBlankingSize(String blankingSize) {
        this.blankingSize = blankingSize;
    }

    public String getOperation() {
        return operation;
    }

    public void setOperation(String operation) {
        this.operation = operation;
    }
}
