package com.foreverwin.mesnac.common.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.foreverwin.mesnac.common.dto.NextNumberDto;
import com.foreverwin.mesnac.common.model.NextNumber;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 编码规则 Mapper 接口
 * </p>
 *
 * @author Roc Li
 * @since 2020-09-03
 */
@Repository
public interface NextNumberMapper extends BaseMapper<NextNumber> {
    List<NextNumberDto> selectListBySite(@Param("site") String site);
}