package com.foreverwin.mesnac.common.service;

import com.foreverwin.mesnac.common.dto.ScrapDto;

import java.util.List;

/**
 * @Description TODO
 * @Author zhaojiawei
 * @Since 2021-07-12
 */
public interface AnomalyService {


    /**
     * 生产自报
     * @param category
     * @param resource
     * @param shopOrder
     * @param sfc
     * @param ncCodes
     */

    void createAnomalyTask(String category, String resource, String shopOrder,
                           String sfc, String ncCodes,String position,String ncQty,
                           String ncDescription,String userGroup);

    /**
     * 判断产品条码在质量异常中是否为报废
     * @param sfc
     * @return
     */
    boolean jgProductionIsScrap(String site,String sfc);

    /**
     * 检索
     */
    List<ScrapDto> getScrapDtoBysfc(String site, String sfc);
}
