package com.foreverwin.mesnac.common.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.common.model.InspectionTaskDetail;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 * 检验任务-明细表 服务类
 * </p>
 *
 * @author Philip
 * @since 2021-07-05
 */
public interface InspectionTaskDetailService extends IService<InspectionTaskDetail> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<InspectionTaskDetail> selectPage(FrontPage<InspectionTaskDetail> frontPage, InspectionTaskDetail inspectionTaskDetail);

    List<InspectionTaskDetail> selectList(InspectionTaskDetail inspectionTaskDetail);
}