package com.foreverwin.mesnac.common.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.common.model.ProdReadyTaskDetail;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 * 生产准备任务明细表 服务类
 * </p>
 *
 * @author Philip
 * @since 2021-06-23
 */
public interface ProdReadyTaskDetailService extends IService<ProdReadyTaskDetail> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<ProdReadyTaskDetail> selectPage(FrontPage<ProdReadyTaskDetail> frontPage, ProdReadyTaskDetail prodReadyTaskDetail);

    List<ProdReadyTaskDetail> selectList(ProdReadyTaskDetail prodReadyTaskDetail);
}