package com.foreverwin.mesnac.common.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.mesnac.common.model.WebServiceLog;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 * WebService日志 服务类
 * </p>
 *
 * @author Ervin Chen
 * @since 2021-01-11
 */
public interface WebServiceLogService extends IService<WebServiceLog> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<WebServiceLog> selectPage(FrontPage<WebServiceLog> frontPage, WebServiceLog webServiceLog);

    List<WebServiceLog> selectList(WebServiceLog webServiceLog);
}