package com.foreverwin.mesnac.dataimport.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.mesnac.dataimport.model.MasterImportLog;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 * 主数据导入日志 服务类
 * </p>
 *
 * @author Ervin Chen
 * @since 2020-09-12
 */
public interface MasterImportLogService extends IService<MasterImportLog> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<MasterImportLog> selectPage(FrontPage<MasterImportLog> frontPage, MasterImportLog masterImportLog);

    List<MasterImportLog> selectList(MasterImportLog masterImportLog);

    void logMessage(String transId, long index, String message);

    String queryMessage(String transId);
}