package com.foreverwin.mesnac.dispatch.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.mesnac.dispatch.model.ProductionDayType;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author syngna
 * @since 2020-08-18
 */
public interface ProductionDayTypeService extends IService<ProductionDayType> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<ProductionDayType> selectPage(FrontPage<ProductionDayType> frontPage, ProductionDayType productionDayType);

    List<ProductionDayType> selectList(ProductionDayType productionDayType);

    boolean save(ProductionDayType productionDayType);

    boolean updateById(ProductionDayType productionDayType);
}