package com.foreverwin.mesnac.dispatch.service;

import com.foreverwin.mesnac.dispatch.model.SurplusInventory;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 余料库存 服务类
 * </p>
 *
 * @author Leon.L
 * @since 2021-07-19
 */
public interface SurplusInventoryService extends IService<SurplusInventory> {

    /**
     * 查询库存对应的余料 长和宽清单
     *
     * @param site
     * @param inventory
     * @return
     */
    List<SurplusInventory> selectSurplusLWList(String site, String inventory);
}