package com.foreverwin.mesnac.dispatch.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.mesnac.dispatch.model.WorkShift;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author syngna
 * @since 2020-08-18
 */
public interface WorkShiftService extends IService<WorkShift> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<WorkShift> selectPage(FrontPage<WorkShift> frontPage, WorkShift workShift);

    List<WorkShift> selectList(WorkShift workShift);

    void validateCrossSetting(List<WorkShift> workShiftList);

    void validateCrossSetting(List<WorkShift> workShiftList, String detailHandle, String startTime, String endTime);
}