package com.foreverwin.mesnac.dispatch.service.impl;

import com.foreverwin.modular.core.util.FrontPage;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.dispatch.model.SurplusInventory;
import com.foreverwin.mesnac.dispatch.mapper.SurplusInventoryMapper;
import com.foreverwin.mesnac.dispatch.service.SurplusInventoryService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
/**
 * <p>
 * 余料库存 服务实现类
 * </p>
 *
 * @author Leon.L
 * @since 2021-07-19
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class SurplusInventoryServiceImpl extends ServiceImpl<SurplusInventoryMapper, SurplusInventory> implements SurplusInventoryService {


    @Autowired
    private SurplusInventoryMapper surplusInventoryMapper;

    @Override
    public List<SurplusInventory> selectSurplusLWList(String site, String inventory) {
        return surplusInventoryMapper.selectSurplusLWList(site, inventory);
    }
}