package com.foreverwin.mesnac.equip.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.equip.model.EdcDataResource;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author pavel.liu
 * @since 2021-07-13
 */
public interface EdcDataResourceService extends IService<EdcDataResource> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<EdcDataResource> selectPage(FrontPage<EdcDataResource> frontPage, EdcDataResource edcDataResource);

    List<EdcDataResource> selectList(EdcDataResource edcDataResource);

    /**
     * 保存设备参数数据-DNC接口
     * @param text
     * @return
     */
    String saveResourceParamByMq(String text);

}