package com.foreverwin.mesnac.equip.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.equip.model.ResourceInspectTaskParam;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 * 设备检验任务从表 服务类
 * </p>
 *
 * @author pavel.Liu
 * @since 2021-06-29
 */
public interface ResourceInspectTaskParamService extends IService<ResourceInspectTaskParam> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<ResourceInspectTaskParam> selectPage(FrontPage<ResourceInspectTaskParam> frontPage, ResourceInspectTaskParam resourceInspectTaskParam);

    List<ResourceInspectTaskParam> selectList(ResourceInspectTaskParam resourceInspectTaskParam);

    void removeAll(ResourceInspectTaskParam resourceInspectTaskParam);

}