package com.foreverwin.mesnac.equip.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.equip.model.ResourceInspectTaskSpare;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 * 设备检验任务-备品表 服务类
 * </p>
 *
 * @author pavel.Liu
 * @since 2021-06-30
 */
public interface ResourceInspectTaskSpareService extends IService<ResourceInspectTaskSpare> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<ResourceInspectTaskSpare> selectPage(FrontPage<ResourceInspectTaskSpare> frontPage, ResourceInspectTaskSpare resourceInspectTaskSpare);

    List<ResourceInspectTaskSpare> selectList(ResourceInspectTaskSpare resourceInspectTaskSpare);

    void removeAll(ResourceInspectTaskSpare resourceInspectTaskSpare);

}