package com.foreverwin.mesnac.integration.service;

import com.foreverwin.mesnac.integration.dto.DisRouterSyncRequest;
import com.foreverwin.mesnac.integration.dto.ItemSyncRequest;
import com.foreverwin.mesnac.integration.dto.RouterSyncRequest;
import com.foreverwin.mesnac.integration.dto.WebServiceResponse;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;

@WebService(targetNamespace="http://service.integration.mesnac.com")
public interface CAPPAPIWebService {

    /**
     * 物料清单同步
     *
     * @param itemSyncRequest
     * @return
     */
    @WebMethod(action = "http://service.integration.mesnac.com/itemSync")
    WebServiceResponse itemSync(@WebParam(name = "itemSyncRequest") ItemSyncRequest itemSyncRequest);

    /**
     * 返工工艺路线同步
     *
     * @param disRouterSyncRequest
     * @return
     */
    @WebMethod(action = "http://service.integration.mesnac.com/disRouterSync")
    WebServiceResponse disRouterSync(@WebParam(name = "disRouterSyncRequest") DisRouterSyncRequest disRouterSyncRequest);
}
