package com.foreverwin.mesnac.meapi.mapper;

import com.foreverwin.mesnac.meapi.model.Bom;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author Leon.L
 * @since 2021-06-27
 */
@Repository
public interface BomMapper extends BaseMapper<Bom> {

    List<Bom> selectBomList4RevisionDesc(@Param("site") String site, @Param("bom") String bom);

    List<Bom> getBomByItem(@Param("site") String site, @Param("item") String item);
}