package com.foreverwin.mesnac.meapi.mapper;

import com.foreverwin.mesnac.meapi.dto.WorkCenterLinkDTO;
import com.foreverwin.mesnac.meapi.model.WorkCenterMember;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author Leon.L
 * @since 2021-05-26
 */
@Repository
public interface WorkCenterMemberMapper extends BaseMapper<WorkCenterMember> {

    Integer selectMaxSeq(@Param("workCenterBo") String workCenterBo);

    List<WorkCenterLinkDTO> listWorkCenterLink(@Param("site") String site);
}