package com.foreverwin.mesnac.meapi.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.mesnac.meapi.model.DataField;
import com.foreverwin.mesnac.meapi.model.DataFieldList;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author robert
 * @since 2021-06-29
 */
public interface DataFieldListService extends IService<DataFieldList> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<DataFieldList> selectPage(FrontPage<DataFieldList> frontPage, DataFieldList dataFieldList);

    List<DataFieldList> selectList(DataFieldList dataFieldList);

    /**
     * 根据handle找到数据字段定义维护中的数据字段列表
     * @param dataField
     * @return
     */
    List<DataField> findDataFieldListById(DataField dataField);
}