package com.foreverwin.mesnac.meapi.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.meapi.model.Inventory;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Philip
 * @since 2021-07-09
 */
public interface InventoryService extends IService<Inventory> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<Inventory> selectPage(FrontPage<Inventory> frontPage, Inventory inventory);

    List<Inventory> selectList(Inventory inventory);
}