package com.foreverwin.mesnac.meapi.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.meapi.model.Printer;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Leon.L
 * @since 2021-07-22
 */
public interface PrinterService extends IService<Printer> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<Printer> selectPage(FrontPage<Printer> frontPage, Printer printer);

    List<Printer> selectList(Printer printer);
}