package com.foreverwin.mesnac.meapi.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.mesnac.meapi.model.RouterSubstep;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Robert
 * @since 2021-06-03
 */
public interface RouterSubstepService extends IService<RouterSubstep> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<RouterSubstep> selectPage(FrontPage<RouterSubstep> frontPage, RouterSubstep routerSubstep);

    List<RouterSubstep> selectList(RouterSubstep routerSubstep);

    IPage<RouterSubstep> getRouterStepBo(Page<RouterSubstep> page,String globalQuery, String item, String operation);

}