package com.foreverwin.mesnac.meapi.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.mesnac.meapi.model.SfcBom;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Ervin Chen
 * @since 2020-10-19
 */
public interface SfcBomService extends IService<SfcBom> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<SfcBom> selectPage(FrontPage<SfcBom> frontPage, SfcBom sfcBom);

    List<SfcBom> selectList(SfcBom sfcBom);

    String selectBomBO(String sfcBo);
}