package com.foreverwin.mesnac.production.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.production.model.SfcData;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Leon.L
 * @since 2021-06-29
 */
public interface SfcDataService extends IService<SfcData> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<SfcData> selectPage(FrontPage<SfcData> frontPage, SfcData sfcData);

    List<SfcData> selectList(SfcData sfcData);

    /**
     * 保存SFC的跟追位置
     *
     * @param site
     * @param sfc
     * @param location
     */
    void saveSfcLocation(String site, String user, String sfc, String location);
}