package com.foreverwin.mesnac.quality.mapper;

import com.foreverwin.mesnac.quality.dto.InspectionTaskManageRequest;
import com.foreverwin.mesnac.quality.model.InspectionTaskManageDetail;
import com.foreverwin.mesnac.quality.model.InspectionTaskManage;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface InspectionTaskManageMapper {

    List<InspectionTaskManage> findInspectionTask(InspectionTaskManageRequest inspectionTaskManageRequest);

    List<InspectionTaskManageDetail> selectInspectionItemDetail(@Param("inspectionItemBo") String inspectionItemBo);

    List<InspectionTaskManageDetail> selectInspectionTaskDetail(@Param("inspectionTaskBo") String inspectionTaskBo);
}
