package com.foreverwin.mesnac.quality.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.foreverwin.mesnac.quality.model.SelfReport;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.time.LocalDate;
import java.util.List;

/**
 * <p>
 * 自报代办事项 Mapper 接口
 * </p>
 *
 * @author Philip
 * @since 2021-06-17
 */
@Repository
public interface SelfReportMapper extends BaseMapper<SelfReport> {

    List<SelfReport> selectListByCondition(@Param("ew") QueryWrapper<SelfReport> ew, @Param("locale") String locale,@Param("startTime") LocalDate startTime,@Param("endTime")  LocalDate endTime);
}