package com.foreverwin.mesnac.quartz.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.quartz.dto.SystemJobDTO;
import com.foreverwin.mesnac.quartz.model.SystemJob;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 系统任务表 Mapper 接口
 * </p>
 *
 * @author Ervin Chen
 * @since 2020-10-21
 */
@Repository
public interface SystemJobMapper extends BaseMapper<SystemJob> {

    IPage<SystemJobDTO> selectPageSystemJob(IPage<SystemJobDTO> page, @Param("ew") Wrapper<SystemJobDTO> queryWrapper);

    List<SystemJobDTO> selectSystemJobList();
}