package com.foreverwin.mesnac.quartz.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.quartz.model.SystemJobLog;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 * 系统任务日志表 服务类
 * </p>
 *
 * @author Ervin Chen
 * @since 2020-10-21
 */
public interface SystemJobLogService extends IService<SystemJobLog> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<SystemJobLog> selectPage(FrontPage<SystemJobLog> frontPage, SystemJobLog systemJobLog);

    List<SystemJobLog> selectList(SystemJobLog systemJobLog);
}