package com.foreverwin.mesnac.anomaly.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.foreverwin.mesnac.anomaly.dto.AbnormalBillDisposeDto;
import com.foreverwin.mesnac.anomaly.model.AbnormalBill;
import com.foreverwin.mesnac.anomaly.model.AbnormalBillDispose;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * <p>
 * 异常单处置 Mapper 接口
 * </p>
 *
 * @author robert
 * @since 2021-06-29
 */
@Repository
public interface AbnormalBillDisposeMapper extends BaseMapper<AbnormalBillDispose> {

    /**
     * 质量异常检索
     * @param abnormalBill
     * @param locale
     * @return
     */
    AbnormalBillDisposeDto findAllByAbnormalNo(@Param("abnormalBill") AbnormalBill abnormalBill, @Param("locale")String locale);




}