package com.foreverwin.mesnac.anomaly.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.foreverwin.mesnac.anomaly.dto.AbnormalPlanDto;
import com.foreverwin.mesnac.anomaly.model.AbnormalPlan;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 计划异常待办事项 Mapper 接口
 * </p>
 *
 * @author zjw
 * @since 2021-08-07
 */
@Repository
public interface AbnormalPlanMapper extends BaseMapper<AbnormalPlan> {

    List<AbnormalPlanDto> findAbnormalPlan(@Param("locale") String locale, @Param("abnormalPlanDto")AbnormalPlan abnormalPlanDto);
}