package com.foreverwin.mesnac.common.mapper;

import com.foreverwin.mesnac.common.model.InspectionTask;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * <p>
 * 检验任务表 Mapper 接口
 * </p>
 *
 * @author Philip
 * @since 2021-07-05
 */
@Repository
public interface InspectionTaskMapper extends BaseMapper<InspectionTask> {

    InspectionTask selectInspectionTaskByTaskNo(@Param("site") String site, @Param("taskNo") String taskNo);
}