package com.foreverwin.mesnac.common.mapper;

import com.foreverwin.mesnac.common.model.ActivityOption;
import com.foreverwin.mesnac.common.model.MobileWorkStationData;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface MobileWorkStationMapper {

    List<ActivityOption> selectActivityOptionList(@Param("activityBoList") List<String> activityBoList);

    List<MobileWorkStationData> selectMobileWorkStationList(@Param("site") String site, @Param("userBo") String userBo, @Param("workStation") String workStation);
}