package com.foreverwin.mesnac.common.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.foreverwin.mesnac.common.model.NextNumberCode;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * <p>
 * 编号生成 Mapper 接口
 * </p>
 *
 * @author Roc Li
 * @since 2020-09-03
 */
@Repository
public interface NextNumberCodeMapper extends BaseMapper<NextNumberCode> {
    Long getMaxCurrentSeq(@Param("nextNumberBo") String nextNumberBo);

    NextNumberCode selectForUpdateById(@Param("handle") String handle);
}