package com.foreverwin.mesnac.common.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.mesnac.common.model.HttpLog;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Ervin Chen
 * @since 2021-04-21
 */
public interface HttpLogService extends IService<HttpLog> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<HttpLog> selectPage(FrontPage<HttpLog> frontPage, HttpLog httpLog);

    List<HttpLog> selectList(HttpLog httpLog);
}