package com.foreverwin.mesnac.common.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.common.model.InspectionItemAddition;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 * 检验项目维护-附加对象 服务类
 * </p>
 *
 * @author Philip
 * @since 2021-06-09
 */
public interface InspectionItemAdditionService extends IService<InspectionItemAddition> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<InspectionItemAddition> selectPage(FrontPage<InspectionItemAddition> frontPage, InspectionItemAddition inspectionItemAddition);

    List<InspectionItemAddition> selectList(InspectionItemAddition inspectionItemAddition);
}