package com.foreverwin.mesnac.common.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.common.model.InspectionItemDetail;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 * 检验项目维护-副 服务类
 * </p>
 *
 * @author Philip
 * @since 2021-06-09
 */
public interface InspectionItemDetailService extends IService<InspectionItemDetail> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<InspectionItemDetail> selectPage(FrontPage<InspectionItemDetail> frontPage, InspectionItemDetail inspectionItemDetail);

    List<InspectionItemDetail> selectList(InspectionItemDetail inspectionItemDetail);
}