package com.foreverwin.mesnac.common.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.common.model.Message;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zjw
 * @since 2021-08-02
 */
public interface MessageService extends IService<Message> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<Message> selectPage(FrontPage<Message> frontPage, Message message);

    List<Message> selectList(Message message);
}