package com.foreverwin.mesnac.common.service;

import com.foreverwin.mesnac.common.model.PrintLog;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Philip
 * @since 2021-07-16
 */
public interface PrintLogService extends IService<PrintLog> {

    /**
     * 记录打印日志
     *
     * @param printLog
     */
    void savePrintLog(String site, String user, PrintLog printLog);

    /**
     * 标签打印
     *
     * @param site
     * @param user
     * @param printList
     */
    void labelPrint(String site, String user, List<PrintLog> printList);
}