package com.foreverwin.mesnac.dispatch.mapper;

import com.foreverwin.mesnac.dispatch.dto.IssueItemDto;
import com.foreverwin.mesnac.dispatch.model.CallItem;
import com.foreverwin.mesnac.dispatch.model.IssueItem;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 车间发料 Mapper 接口
 * </p>
 *
 * @author Leon.L
 * @since 2021-07-09
 */
@Repository
public interface IssueItemMapper extends BaseMapper<IssueItem> {

    BigDecimal selectInvIssueQty(@Param("site") String site, @Param("inventory") String inventory);
}