package com.foreverwin.mesnac.dispatch.mapper;

import com.foreverwin.mesnac.dispatch.model.SurplusInventory;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 余料库存 Mapper 接口
 * </p>
 *
 * @author Leon.L
 * @since 2021-07-19
 */
@Repository
public interface SurplusInventoryMapper extends BaseMapper<SurplusInventory> {

    List<SurplusInventory> selectSurplusLWList(@Param("site") String site, @Param("inventory") String inventory);
}