package com.foreverwin.mesnac.dispatch.service;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.foreverwin.mesnac.dispatch.model.ItemBatch;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 物料批次表 服务类
 * </p>
 *
 * @author Leon.L
 * @since 2021-06-18
 */
public interface ItemBatchService extends IService<ItemBatch> {

    /**
     * 查询原材料的收获批次
     *
     * @param site
     * @param item
     * @param batch
     * @return
     */
    List<ItemBatch> findItemBatch(String site, String item, String batch);


    List<ItemBatch> findItemLabel(String site, String item, String label);
}