package com.foreverwin.mesnac.equip.mapper;

import com.foreverwin.mesnac.equip.model.ResourceStatusReceive;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * <p>
 * 设备状态表-接口 Mapper 接口
 * </p>
 *
 * @author pavel.Liu
 * @since 2021-07-13
 */
@Repository
public interface ResourceStatusReceiveMapper extends BaseMapper<ResourceStatusReceive> {

    // 获取最新的记录
    ResourceStatusReceive getOneByMaxCreateDateTime(@Param("site") String site);

}