package com.foreverwin.mesnac.equip.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.equip.model.ResourceFaultReceive;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 * 设备故障信息接收表-接口 服务类
 * </p>
 *
 * @author pavel.Liu
 * @since 2021-07-13
 */
public interface ResourceFaultReceiveService extends IService<ResourceFaultReceive> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<ResourceFaultReceive> selectPage(FrontPage<ResourceFaultReceive> frontPage, ResourceFaultReceive resourceFaultReceive);

    List<ResourceFaultReceive> selectList(ResourceFaultReceive resourceFaultReceive);

    String parseResourceFaultInfo(String text);


}