package com.foreverwin.mesnac.equip.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.equip.model.ResourceInspectResource;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 * 设备检验计划从表 服务类
 * </p>
 *
 * @author pavel.Liu
 * @since 2021-06-11
 */
public interface ResourceInspectResourceService extends IService<ResourceInspectResource> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<ResourceInspectResource> selectPage(FrontPage<ResourceInspectResource> frontPage, ResourceInspectResource resourceInspectResource);

    List<ResourceInspectResource> selectList(ResourceInspectResource resourceInspectResource);

    void deleteAll(ResourceInspectResource resourceInspectResource);

    /**
     * 通过设备类型批量获取设备
     */
    List<ResourceInspectResource> getResourceListByResourceType(String resourceTypeNo);

}