package com.foreverwin.mesnac.listener.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.mesnac.listener.model.SysUser;
import com.foreverwin.mesnac.listener.model.Usr;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author sungang
 * @since 2020-10-16
 */
public interface UsrService extends IService<Usr> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<Usr> selectPage(FrontPage<Usr> frontPage, Usr usr);

    List<Usr> selectList(Usr usr);

    List<SysUser> selectListForPd(String site);

    /*  List<Usr> userList(Usr user);*/
}