package com.foreverwin.mesnac.meapi.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.foreverwin.mesnac.meapi.model.DataField;
import com.foreverwin.mesnac.meapi.model.DataFieldList;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author robert
 * @since 2021-06-29
 */
@Repository
public interface DataFieldListMapper extends BaseMapper<DataFieldList> {

    /**
     * 根据handle找到数据字段定义维护中的数据字段列表
     * @param dataField
     * @return
     */
    List<DataField> findDataFieldListById(@Param("dataField") DataField dataField,@Param("locale")String locale);

}