package com.foreverwin.mesnac.meapi.mapper;

import com.foreverwin.mesnac.meapi.model.DcParameter;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author pavel.liu
 * @since 2021-07-13
 */
@Repository
public interface DcParameterMapper extends BaseMapper<DcParameter> {

    /**
     * 获取数据收集组下的字段关联关系-为参数接口服务
     * @param dcGroupBo
     * @return
     */
    List<DcParameter> getDcParameterByDcGroupBo(@Param("dcGroupBo")String dcGroupBo);




}