package com.foreverwin.mesnac.meapi.mapper;

import com.foreverwin.mesnac.meapi.model.Router;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author Leon.L
 * @since 2021-06-02
 */
@Repository
public interface RouterMapper extends BaseMapper<Router> {

    Router selectRouterBySfcBo(@Param("sfcBo") String sfcBo);

    List<Router> selectRouterList4RevisionDesc(@Param("site") String site, @Param("router") String router);
}