package com.foreverwin.mesnac.meapi.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.meapi.model.WorkCenter;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author Leon.L
 * @since 2021-05-26
 */
@Repository
public interface WorkCenterMapper extends BaseMapper<WorkCenter> {
    IPage workCenterlist(IPage page, @Param("site") String site, @Param("workCenter") String workCenter);

    List<WorkCenter> getWorkShopList(@Param("site")String site, @Param("locale")String locale);

    WorkCenter findWorkCenterDescriptionByResrce(@Param("resrceBo")String resourceBo,
                                                 @Param("locale")String locale);

    WorkCenter findWorkCenterDescriptionByWorkCenter(@Param("site")String site,
                                                     @Param("workCenter")String workCenter,
                                                     @Param("locale")String locale);
}