package com.foreverwin.mesnac.meapi.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.mesnac.meapi.model.BomOperation;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Ervin Chen
 * @since 2020-10-19
 */
public interface BomOperationService extends IService<BomOperation> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<BomOperation> selectPage(FrontPage<BomOperation> frontPage, BomOperation bomOperation);

    List<BomOperation> selectList(BomOperation bomOperation);
}