package com.foreverwin.mesnac.meapi.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.meapi.model.DataField;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author robert
 * @since 2021-06-29
 */
public interface DataFieldService extends IService<DataField> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<DataField> selectPage(FrontPage<DataField> frontPage, DataField dataField);

    List<DataField> selectList(DataField dataField);


}