package com.foreverwin.mesnac.meapi.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.meapi.model.DcParameter;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author pavel.liu
 * @since 2021-07-13
 */
public interface DcParameterService extends IService<DcParameter> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<DcParameter> selectPage(FrontPage<DcParameter> frontPage, DcParameter dcParameter);

    List<DcParameter> selectList(DcParameter dcParameter);
}