package com.foreverwin.mesnac.meapi.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.meapi.model.InventoryAssyData;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Leon.L
 * @since 2021-07-19
 */
public interface InventoryAssyDataService extends IService<InventoryAssyData> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<InventoryAssyData> selectPage(FrontPage<InventoryAssyData> frontPage, InventoryAssyData inventoryAssyData);

    List<InventoryAssyData> selectList(InventoryAssyData inventoryAssyData);

    void saveOrUpdateInventoryData(String inventoryBo, String dataField, String dataAttr);
}