package com.foreverwin.mesnac.meapi.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.meapi.model.MessageType;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Philip
 * @since 2021-07-20
 */
public interface MessageTypeService extends IService<MessageType> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<MessageType> selectPage(FrontPage<MessageType> frontPage, MessageType messageType);

    List<MessageType> selectList(MessageType messageType);
}