package com.foreverwin.mesnac.meapi.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.meapi.model.ResourceType;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Leon.L
 * @since 2021-05-26
 */
public interface ResourceTypeService extends IService<ResourceType> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<ResourceType> selectPage(FrontPage<ResourceType> frontPage, ResourceType resourceType);

    List<ResourceType> selectList(ResourceType resourceType);
}