package com.foreverwin.mesnac.meapi.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.meapi.dto.WorkCenterLinkDTO;
import com.foreverwin.mesnac.meapi.model.WorkCenterMember;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Leon.L
 * @since 2021-05-26
 */
public interface WorkCenterMemberService extends IService<WorkCenterMember> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<WorkCenterMember> selectPage(FrontPage<WorkCenterMember> frontPage, WorkCenterMember workCenterMember);

    List<WorkCenterMember> selectList(WorkCenterMember workCenterMember);

    List<WorkCenterMember> selectList(QueryWrapper queryWrapper);

    Integer selectMaxSeq(String workCenterBo);

    List<WorkCenterLinkDTO> listWorkCenterLink(String site);
}