package com.foreverwin.mesnac.production.mapper;

import com.foreverwin.mesnac.production.dto.LoadInventoryDto;
import com.foreverwin.mesnac.production.model.LoadInventory;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 上料表 Mapper 接口
 * </p>
 *
 * @author Philip
 * @since 2021-07-09
 */
@Repository
public interface LoadInventoryMapper extends BaseMapper<LoadInventory> {

    List<LoadInventoryDto> getLoadInventoryList(@Param("site") String site, @Param("resrce")  String resrce, @Param("language") String language);
}