package com.foreverwin.mesnac.production.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.foreverwin.mesnac.meapi.dto.SfcDto;
import com.foreverwin.mesnac.production.dto.SplitSfcDto;
import com.foreverwin.mesnac.production.model.SplitSfc;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * <p>
 * 产品条码拆分表 Mapper 接口
 * </p>
 *
 * @author Philip
 * @since 2021-07-20
 */
@Repository
public interface SplitSfcMapper extends BaseMapper<SplitSfc> {

    SfcDto getSfcData(@Param("handle") String handle);

    SplitSfcDto getAbnormalQty(@Param("site")String site, @Param("sfc")String sfc, @Param("operation") String operation);
}