package com.foreverwin.mesnac.production.mapper;

import com.foreverwin.mesnac.production.dto.WorkShopTransferDto;
import com.foreverwin.mesnac.production.model.WorkShopTransfer;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * <p>
 * 车间转移记录 Mapper 接口
 * </p>
 *
 * @author Philip
 * @since 2021-07-30
 */
@Repository
public interface WorkShopTransferMapper extends BaseMapper<WorkShopTransfer> {

    WorkShopTransferDto getSfcData(@Param("site") String site,@Param("sfc") String sfc);
}