package com.foreverwin.mesnac.production.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.production.model.LoadInventoryLog;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 * 上卸料日志表 服务类
 * </p>
 *
 * @author Philip
 * @since 2021-07-09
 */
public interface LoadInventoryLogService extends IService<LoadInventoryLog> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<LoadInventoryLog> selectPage(FrontPage<LoadInventoryLog> frontPage, LoadInventoryLog loadInventoryLog);

    List<LoadInventoryLog> selectList(LoadInventoryLog loadInventoryLog);
}