package com.foreverwin.mesnac.production.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.meapi.dto.SfcDto;
import com.foreverwin.mesnac.production.model.SfcDataAssemble;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.exception.BaseException;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 生产执行数据装配 服务类
 * </p>
 *
 * @author Philip
 * @since 2021-07-19
 */
public interface SfcDataAssembleService extends IService<SfcDataAssemble> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<SfcDataAssemble> selectPage(FrontPage<SfcDataAssemble> frontPage, SfcDataAssemble sfcDataAssemble);

    List<SfcDataAssemble> selectList(SfcDataAssemble sfcDataAssemble);

    Map<String, Object>  loadSfcAssemble(SfcDto sfcDto);

    Map<String, Object> assembleInventory(Map<String, Object> paramMap) throws BaseException;
}