package com.foreverwin.mesnac.production.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.mesnac.production.model.SfcScrap;
import com.foreverwin.modular.core.util.FrontPage;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.HashMap;
import java.util.List;

/**
 * <p>
 * 产品报废 服务类
 * </p>
 *
 * @author zjw
 * @since 2021-07-30
 */
public interface SfcScrapService extends IService<SfcScrap> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<SfcScrap> selectPage(FrontPage<SfcScrap> frontPage, SfcScrap sfcScrap);

    List<SfcScrap> selectList(SfcScrap sfcScrap);

    List<SfcScrap> scrap(HashMap<String,Object> param) ;

    public void generatorWord(String shopOrder, String sfc, HttpServletResponse response, HttpServletRequest request);

}